# Uses of Enum Class
javafx.scene.shape.ArcType

Packages that use ArcType
Package
Description
javafx.scene.canvas
Provides the set of classes for canvas, an immediate mode style of rendering API.
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of ArcType in javafx.scene.canvas

Methods in javafx.scene.canvas with parameters of type ArcType
Modifier and Type
Method
Description
`void`
GraphicsContext.`fillArc(double x, double y, double w, double h, double startAngle, double arcExtent, ArcType closure)`
Fills an arc using the current fill paint.
`void`
GraphicsContext.`strokeArc(double x, double y, double w, double h, double startAngle, double arcExtent, ArcType closure)`
Strokes an Arc using the current stroke paint.

## Uses of ArcType in javafx.scene.shape

Methods in javafx.scene.shape that return ArcType
Modifier and Type
Method
Description
`final ArcType`
Arc.`getType()`
Gets the value of the `type` property.
`static ArcType`
ArcType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ArcType[]`
ArcType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.shape that return types with arguments of type ArcType
Modifier and Type
Method
Description
`final ObjectProperty<ArcType>`
Arc.`typeProperty()`
Defines the closure type for the arc: `OPEN`, `CHORD`,or `ROUND`.
Methods in javafx.scene.shape with parameters of type ArcType
Modifier and Type
Method
Description
`final void`
Arc.`setType(ArcType value)`
Sets the value of the `type` property.